> For the complete documentation index, see [llms.txt](https://developer.nexx360.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nexx360.io/platform-apis/reporting-api/reporting-v2/auctions.md).

# Auctions

<mark style="color:green;">`POST`</mark> `/v2/api`

Use this method to get your reporting data of the auctions

#### **Headers**

| Name          | Value           |
| ------------- | --------------- |
| Authorization | `Basic <token>` |

#### Body

{% tabs %}
{% tab title="By day" %}

```typescript
{
    table: "auctions",
    startDate: string, // (format: YYYY-MM-DDThh:mm:ss)
    endDate: string, // (format: YYYY-MM-DDThh:mm:ss)
    fields: [
      { name: "timestamp", as?: string },
      { name: "auction_type", as?: string },
      { name: "mediatype", as?: string },
      { name: "inventory_type", as?: string },
      { name: "tag_id", as?: string },
      { name: "tag_name", as?: string },
      { name: "site_id", as?: string },
      { name: "site_name", as?: string },
      { name: "account_id", as?: string },
      { name: "account_name", as?: string },
      { name: "sub_account_id", as?: string },
      { name: "sub_account_name", as?: string },
      { name: "device", as?: string },
      { name: "ssp", as?: string },
      { name: "ssp_alias", as?: string },
      { name: "placement", as?: string },
      { name: "consent", as?: string },
      { name: "os", as?: string },
      { name: "browser", as?: string },
      { name: "country", as?: string },
      { name: "domain", as?: string },
      { name: "area", as?: string },
      { name: "customid", as?: string },
      { name: "gpid", as?: string }
    ],
    metrics: [
      { name: "auctions", as?: string },
      { name: "impressions", as?: string },
      { name: "revenue_net_eur", as?: string },
      { name: "revenue_net_usd", as?: string },
      { name: "revenue_gross_eur", as?: string },
      { name: "revenue_gross_usd", as?: string },
      { name: "won", as?: string },
      { name: "won_net_eur", as?: string },
      { name: "won_net_usd", as?: string },
      { name: "won_gross_eur", as?: string },
      { name: "won_gross_usd", as?: string }
    ],
    timeSplit: "day"
  }
```

{% endtab %}

{% tab title="By hour" %}

```typescript
{
    table: "auctions",
    startDate: string, // (format: YYYY-MM-DDThh:mm:ss)
    endDate: string, // (format: YYYY-MM-DDThh:mm:ss)
    fields: [
      { name: "timestamp", as?: string },
      { name: "auction_type", as?: string },
      { name: "mediatype", as?: string },
      { name: "inventory_type", as?: string },
      { name: "tag_id", as?: string },
      { name: "tag_name", as?: string },
      { name: "site_id", as?: string },
      { name: "site_name", as?: string },
      { name: "account_id", as?: string },
      { name: "account_name", as?: string },
      { name: "sub_account_id", as?: string },
      { name: "sub_account_name", as?: string },
      { name: "device", as?: string },
      { name: "ssp", as?: string },
      { name: "ssp_alias", as?: string },
      { name: "placement", as?: string }
    ],
    metrics: [
      { name: "auctions", as?: string },
      { name: "impressions", as?: string },
      { name: "revenue_net_eur", as?: string },
      { name: "revenue_net_usd", as?: string },
      { name: "revenue_gross_eur", as?: string },
      { name: "revenue_gross_usd", as?: string },
      { name: "won", as?: string },
      { name: "won_net_eur", as?: string },
      { name: "won_net_usd", as?: string },
      { name: "won_gross_eur", as?: string },
      { name: "won_gross_usd", as?: string }
    ],
    timeSplit: "hour"
  }
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="200 Valid Request" %}

```json
[
    {
      "timestamp": "2025-12-01T00:00:00.000Z",
      "auction_type": "booster",
      "mediatype": "banner",
      "inventory_type": "web",
      "tag_id": "tag_abc123",
      "tag_name": "Homepage Banner",
      "site_id": 5001,
      "site_name": "example-site.com",
      "account_id": 1067,
      "account_name": "Nexx360 Demo",
      "sub_account_id": 2001,
      "sub_account_name": "Sub Account Demo",
      "device": "Desktop",
      "ssp": "rubicon",
      "ssp_alias": "Rubicon Project",
      "placement": "sidebar",
      "consent": true,
      "os": "Windows",
      "browser": "Firefox",
      "country": "DE",
      "domain": "example-site.com",
      "area": "eu-central",
      "customid": "custom_abc",
      "gpid": "/12345/sidebar/banner",
      "auctions": "250000",
      "impressions": "18500",
      "revenue_net_eur": 185.25,
      "revenue_net_usd": 203.78,
      "revenue_gross_eur": 222.30,
      "revenue_gross_usd": 244.53,
      "won": "19200",
      "won_net_eur": 192.00,
      "won_net_usd": 211.20,
      "won_gross_eur": 230.40,
      "won_gross_usd": 253.44
    }
  ]
```

{% endtab %}

{% tab title="401 Unauthorized" %}
Unauthorized
{% endtab %}

{% tab title="400 Bad Request" %}

```json
[
    {
        "message": "'unvalid_name' must be equal to one of the allowed values for table 'auctions'",
        "params": {
            "allowedValues": [
                "timestamp",
                "account_id",
                "account_name",
                "site_id",
                "site_name",
                "tag_id",
                "tag_name",
                "auction_type",
                "mediatype",
                "inventory_type",
                "os",
                "browser",
                "device",
                "ssp",
                "ssp_alias",
                "size",
                "consent",
                "buyeruid",
                "domain",
                "adomain",
                "deal_external_id",
                "country"
            ]
        }
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.nexx360.io/platform-apis/reporting-api/reporting-v2/auctions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
